Skip to content

Image Upload

Request

This endpoint allows merchants to upload images to the Keeta platform. The returned image URL can be used during menu synchronization.

Security
OAuth2(Required scopes: od.all) and Sig
Query
merchantIdstringrequired

The ID of the Merchant for whom you want to complete or change registration info.

Bodyapplication/json
imageDatastring, (binary)required

The byte array of the image.

imageNamestringrequired

The name of the image.

curl -i -X POST \
  'https://open.mykeeta.com/api/open/opendelivery/v1/merchant/image/upload?merchantId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE' \
  -d '{
    "imageData": "string",
    "imageName": "string"
  }'

Responses

upload result

Bodyapplication/json
datastring

image URL

Example:"https://abrasel-nacional.github.io/opendelivery/images/wertwr34ebh67thook.png"
Response
{ "data": "https://abrasel-nacional.github.io/opendelivery/images/wertwr34ebh67thook.png" }